LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XAnimationListener Interface Reference

makes it possible to register listeners, which are called whenever an animation event occurs. More...

`import"XAnimationListener.idl";`

Inheritance diagram for XAnimationListener:

## Public Member Functions
void | beginEvent ([in] XAnimationNode Node)
| This event is raised when the element local timeline begins to play. More...
void | endEvent ([in] XAnimationNode Node)
| This event is raised at the active end of the element. More...
void | repeat ([in] XAnimationNode Node, [in] long Repeat)
| This event is raised when the element local timeline repeats. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to register listeners, which are called whenever an animation event occurs.

Since
  OOo 3.0

## Member Function Documentation

## ◆ beginEvent()

void beginEvent | ( | [in] XAnimationNode | Node | ) |

This event is raised when the element local timeline begins to play.

It will be raised each time the element begins the active duration (i.e. when it restarts, but not when it repeats).

It may be raised both in the course of normal (i.e. scheduled or interactive) timeline play, as well as in the case that the element was begun with an interface method.

Parameters

  Node | The node that begins to play.

## ◆ endEvent()

void endEvent | ( | [in] XAnimationNode | Node | ) |

This event is raised at the active end of the element.

Note that this event is not raised at the simple end of each repeat.

This event may be raised both in the course of normal (i.e. scheduled or interactive) timeline play, as well as in the case that the element was ended with a DOM method.

Parameters

  Node | The node that stops playing.

## ◆ repeat()

void repeat | ( | [in] XAnimationNode | Node,
|  | [in] long | Repeat
| ) |  |

This event is raised when the element local timeline repeats.

It will be raised each time the element repeats, after the first iteration.

Associated with the repeat event is an integer that indicates which repeat iteration is beginning.

Parameters

  Node | The node that repeats.
  Repeat | The value is a 0-based integer, but the repeat event is not raised for the first iteration and so the observed values will be >= 1.

The documentation for this interface was generated from the following file:

- com/sun/star/animations/XAnimationListener.idl